<?php

declare(strict_types=1);

namespace apexl\Io\modules\user\Request;

use apexl\Io\Request\IoRequest;

final class ResetPasswordRequest extends IoRequest
{
    public function hash(): string
    {
        return $this->bodyParam('hash');
    }

    public function validate(): void
    {
//        $this->requireBody('hash');
//        $this->requireBody('password');
//        $this->requireBody('password_confirm');
//
//        $this->validateSame('password', 'password_confirm');
    }

    public function password(): string
    {
        return $this->bodyParam('password');
    }

    public function passwordConfirm(): string
    {
        return $this->bodyParam('password_confirm');
    }

}